Ptex

Public Member Functions | Public Attributes | List of all members
PtexReaderCache::Purger Struct Reference

## Public Member Functions
| Purger ()
void | operator() (PtexCachedReader *reader)

## Public Attributes
size_t | memUsedChangeTotal

## Detailed Description

Definition at line 268 of file PtexCache.h.

## Constructor & Destructor Documentation

## ◆ Purger()

PtexReaderCache::Purger::Purger | ( |  | ) |
| inline

Definition at line 270 of file PtexCache.h.

## Member Function Documentation

## ◆ operator()()

void PtexReaderCache::Purger::operator() | ( | PtexCachedReader * | reader | ) |

Definition at line 311 of file PtexCache.cpp.

References memUsedChangeTotal, and PtexCachedReader::tryPurge().

## Member Data Documentation

## ◆ memUsedChangeTotal

size_t PtexReaderCache::Purger::memUsedChangeTotal

Definition at line 269 of file PtexCache.h.

Referenced by operator()(), and PtexReaderCache::purgeAll().

The documentation for this struct was generated from the following files:

- PtexCache.h
- PtexCache.cpp